<?php
/*

Template Name: Blog

*/
get_header();
$prefix = 'tk_';
$sidebar_position = get_post_meta($post->ID, $prefix.'sidebar_position', true);
?>
    <!-- CONTENT -->
    <div class="content left">


        <div class="bg-white left">
            <div class="wrapper">
                <div class="title-on-page left">
                    <div class="point-border-title left"><h5><?php the_title()?></h5></div><!--/point-border-title-->
                </div><!--/title-on-page-->
            </div><!--/wrapper-->
            <div class="border-bottom-slider left"></div>
        </div><!--/bg-white-->



        <div class="wrapper">


            <?php tk_get_left_sidebar($sidebar_position, 'Blog')?>


            <div class="blog-page-content left">

            <?php
            $paged = (get_query_var('paged')) ? get_query_var('paged') : 0;
            $args=array('post_status' => 'publish', 'paged' => $paged, 'posts_per_page' => get_option('posts_per_page'), 'ignore_sticky_posts'=> 1);

            //The Query
            query_posts($args);

            //The Loop
            if ( have_posts() ) : while ( have_posts() ) : the_post();?>

                <!-- BLOG-POST -->
                <div class="blog-one left">
                    <div class="blog-images-title left" <?php if(!has_post_thumbnail()){echo 'style="margin-top:80px;"';}?>>
                        <?php if(has_post_thumbnail()){?>
                        <div class="post-images left">
                                    <a href="<?php echo wp_get_attachment_url( get_post_thumbnail_id() )?>" class="pirobox " title="<?php the_title(); ?>" rel="single">
                                        <?php the_post_thumbnail('blog'); ?>
                                    </a>
                        </div><!--/post-images-->
                        <?php }?>
                        <div class="blog-title-box left"><a href="<?php the_permalink()?>"><?php the_title() ?></a></div>
                    </div><!--/blog-images-title-->
                    <div class="post-date-content right">
                        <ul>
                            <li><span><?php _e("Posted:", 'tint')?></span></li>
                            <li><?php echo get_the_date()?></li>
                        </ul>
                        <ul>
                            <li><span><?php _e("Categories:", 'tint')?></span></li>
                            <li><?php echo get_the_category_list( '&nbsp; &nbsp;|&nbsp; &nbsp;', $post->ID ); ?></li>
                        </ul>
                        <ul>
                            <li><span><?php _e("Comments:", 'tint')?></span><p><?php comments_number( '0', '1', '%' ); ?></p></li>
                        </ul>
                    </div><!--/post-date-->
                    <div class="post-text left">
                        <p><?php the_excerpt()?></p>
                    </div><!--/text-->
                    <div class="more-info left"><a href="<?php the_permalink()?>"><?php _e("Read more", 'tint')?></a></div><!--/call-action-text-->
                </div><!--/content-one-->
                
            <?php  endwhile;?>
            <?php else: ?>
            <?php endif; ?>

                <?php
                global $wp_query;

                $big = 999999999; // need an unlikely integer

                echo paginate_links( array(
                        'base' => str_replace( $big, '%#%', get_pagenum_link( $big ) ),
                        'format' => '?paged=%#%',
                        'current' => max( 1, get_query_var('paged') ),
                        'total' => $wp_query->max_num_pages
                ) );
                ?>

            </div><!--/blog-page-content-->


            <?php tk_get_right_sidebar($sidebar_position, 'Blog')?>

            
                </div><!--/bg-content-red-tape-->
    </div><!--/content-->
<div class="bg-down-container left"></div>



<?php get_footer(); ?>



